with (app) {
	var myDoc = documents.add();
	var myUnits = new Array(MeasurementUnits.picas, MeasurementUnits.points, MeasurementUnits.inches, MeasurementUnits.inchesDecimal, MeasurementUnits.millimeters, MeasurementUnits.centimeters, MeasurementUnits.ciceros);
	var myNameUnits = new Array("picas", "points", "inches", "inchesDecimal", "millimeters", "centimeters", "ciceros");
	var myString = "";
	for (myCounter = 0; myCounter < myUnits.length; myCounter++) {
		myDoc.viewPreferences.horizontalMeasurementUnits = myUnits[myCounter];
		myDoc.viewPreferences.verticalMeasurementUnits = myUnits[myCounter];
		var myObject = myDoc.pages[0].rectangles.add();
		myObject.move(undefined, [-myObject.geometricBounds[1], -myObject.geometricBounds[0]]);
		var myBounds  = myObject.geometricBounds;
		myObject.geometricBounds = new Array(myBounds[0], myBounds[1], myBounds[0] + 1, myBounds[1] + 1);
		var mySmallString = "1 " + myNameUnits[myCounter] + " = \n";
		for (myCount = 0; myCount < myUnits.length; myCount++) {
			if (myCount != myCounter) {
				myDoc.viewPreferences.horizontalMeasurementUnits = myUnits[myCount];
				myDoc.viewPreferences.verticalMeasurementUnits = myUnits[myCount];
				var myNewBounds = myObject.geometricBounds;
				var myWidth = (myNewBounds[3]);
				mySmallString += "\t\t" + myWidth + " " + myNameUnits[myCount] + "\n";
			}
		}
		myObject.remove();
		mySmallString += "-------\n";
		myString += mySmallString;
	}
	myDoc.close(SaveOptions.no);
	var myFile = new File (activeScript.path + '/measurement.txt');
	myFile.open("w");
	myFile.write(myString);
	myFile.close();
	myFile.execute();
}